summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-mathematics/rkward')
-rw-r--r--sci-mathematics/rkward/Manifest1
-rw-r--r--sci-mathematics/rkward/metadata.xml13
-rw-r--r--sci-mathematics/rkward/rkward-0.6.1.ebuild37
3 files changed, 51 insertions, 0 deletions
diff --git a/sci-mathematics/rkward/Manifest b/sci-mathematics/rkward/Manifest
new file mode 100644
index 00000000000..46d3c999942
--- /dev/null
+++ b/sci-mathematics/rkward/Manifest
@@ -0,0 +1 @@
+DIST rkward-0.6.1.tar.gz 1529612 SHA256 7887bc22645a8e6de278da55e31a61acd91aca0ade777af11a110d0dfcfffde7 SHA512 5171b60ed42049de9e0f45b64f61a9bcf1fe8ba89e5a5a8b9ba77b9f7adb0d61630691adcb6636f5d5c5023c64a48220e85ea93c2ea09af34df2fa4be5d0cc9f WHIRLPOOL 2b195384dc0e093b445f7bf21c1f4bc2f378af7e51adb20f046a97e07d7f808b04eb3be9a35198b389b84edc79b3936d2f3d5e7eebc82ff3bb612465b813bcb3
diff --git a/sci-mathematics/rkward/metadata.xml b/sci-mathematics/rkward/metadata.xml
new file mode 100644
index 00000000000..c63c29a5b63
--- /dev/null
+++ b/sci-mathematics/rkward/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-mathematics</herd>
+ <longdescription lang="en">
+RKWard aims to become an easy to use frontend to R. RKWard is still in
+development status. Right now it is most useful as an IDE to users
+with some experience in R, or willing to learn R.
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">rkward</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-mathematics/rkward/rkward-0.6.1.ebuild b/sci-mathematics/rkward/rkward-0.6.1.ebuild
new file mode 100644
index 00000000000..53faf346573
--- /dev/null
+++ b/sci-mathematics/rkward/rkward-0.6.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_DOC_DIRS="doc"
+KDE_HANDBOOK="optional"
+KDE_LINGUAS="ca cs da de el es fr it lt pl tr zh_CN"
+
+inherit kde4-base
+
+DESCRIPTION="IDE for the R-project"
+HOMEPAGE="http://rkward.sourceforge.net/"
+SRC_URI="mirror://sourceforge/rkward/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+IUSE="debug"
+
+DEPEND="
+ dev-lang/R
+ $(add_kdebase_dep katepart)"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ # to have it compatible with R which had a bad R_HOME
+ unset R_HOME
+ kde4-base_src_configure
+}
+
+src_install() {
+ kde4-base_src_install
+ # avoid file collision with kate
+ rm "${ED}"/usr/share/apps/katepart/syntax/r.xml || die
+}